{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "label": "QIIME2 Step 3",
            "doc": "QIIME2 Alpha/beta diversity analysis and Alpha rarefaction plotting\n",
            "inputs": [
                {
                    "type": "string",
                    "default": "bray_curtis_distance_matrix.qza",
                    "id": "#main/bray_curtis_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "bray_curtis_emperor.qzv",
                    "id": "#main/bray_curtis_emperor_filename"
                },
                {
                    "type": "string",
                    "default": "bray_curtis_pcoa_results.qza",
                    "id": "#main/bray_curtis_pcoa_results_filename"
                },
                {
                    "type": "int",
                    "id": "#main/diversity_sampling_depth"
                },
                {
                    "type": "string",
                    "default": "evenness-group-significance.qzv",
                    "id": "#main/evenness_group_significance_filename"
                },
                {
                    "type": "string",
                    "default": "evenness_vector.qza",
                    "id": "#main/evenness_vector_filename"
                },
                {
                    "type": "string",
                    "default": "faith-pd-group-significance.qzv",
                    "id": "#main/faith_pd_group_significance_filename"
                },
                {
                    "type": "string",
                    "default": "faith_pd_vector.qza",
                    "id": "#main/faith_pd_vector_filename"
                },
                {
                    "type": "string",
                    "default": "jaccard_distance_matrix.qza",
                    "id": "#main/jaccard_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "jaccard_emperor.qzv",
                    "id": "#main/jaccard_emperor_filename"
                },
                {
                    "type": "string",
                    "default": "jaccard_pcoa_results.qza",
                    "id": "#main/jaccard_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "default": "observed_otus_vector.qza",
                    "id": "#main/observed_otus_vector_filename"
                },
                {
                    "type": "string",
                    "default": "",
                    "id": "#main/output_filename_prefix"
                },
                {
                    "type": "string",
                    "default": "rarefied_table.qza",
                    "id": "#main/rarefied_table_filename"
                },
                {
                    "type": "File",
                    "id": "#main/rooted_tree"
                },
                {
                    "type": "File",
                    "id": "#main/sample_metadata"
                },
                {
                    "type": "string",
                    "default": "shannon-group-significance.qzv",
                    "id": "#main/shannon_group_significance_filename"
                },
                {
                    "type": "string",
                    "default": "shannon_vector.qza",
                    "id": "#main/shannon_vector_filename"
                },
                {
                    "type": "File",
                    "id": "#main/table"
                },
                {
                    "type": "string",
                    "default": "unweighted-unifrac-body-site-significance.qzv",
                    "id": "#main/unweighted_unifrac_body_site_significance_filename"
                },
                {
                    "type": "string",
                    "default": "unweighted_unifrac_distance_matrix.qza",
                    "id": "#main/unweighted_unifrac_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "unweighted_unifrac_emperor.qzv",
                    "id": "#main/unweighted_unifrac_emperor_filename"
                },
                {
                    "type": "string",
                    "id": "#main/unweighted_unifrac_metadata_column"
                },
                {
                    "type": "string",
                    "default": "unweighted_unifrac_pcoa_results.qza",
                    "id": "#main/unweighted_unifrac_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "default": "unweighted-unifrac-significance.qzv",
                    "id": "#main/unweighted_unifrac_significance_filename"
                },
                {
                    "type": "string",
                    "default": "weighted_unifrac_distance_matrix.qza",
                    "id": "#main/weighted_unifrac_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "weighted_unifrac_emperor.qzv",
                    "id": "#main/weighted_unifrac_emperor_filename"
                },
                {
                    "type": "string",
                    "default": "weighted_unifrac_pcoa_results.qza",
                    "id": "#main/weighted_unifrac_pcoa_results_filename"
                }
            ],
            "steps": [
                {
                    "run": "#qiime2-paired-alpha-beta-diversity.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/bray_curtis_distance_matrix_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/bray_curtis_distance_matrix_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/bray_curtis_emperor_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/bray_curtis_emperor_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/bray_curtis_pcoa_results_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/bray_curtis_pcoa_results_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/evenness_group_significance_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/evenness_group_significance_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/evenness_vector_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/evenness_vector_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/faith_pd_group_significance_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/faith_pd_group_significance_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/faith_pd_vector_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/faith_pd_vector_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/jaccard_distance_matrix_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/jaccard_distance_matrix_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/jaccard_emperor_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/jaccard_emperor_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/jaccard_pcoa_results_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/jaccard_pcoa_results_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/observed_otus_vector_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/observed_otus_vector_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/rarefied_table_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/rarefied_table_filename"
                        },
                        {
                            "source": "#main/rooted_tree",
                            "id": "#main/alpha_beta_diversity/rooted_tree"
                        },
                        {
                            "source": "#main/sample_metadata",
                            "id": "#main/alpha_beta_diversity/sample_metadata"
                        },
                        {
                            "source": "#main/diversity_sampling_depth",
                            "id": "#main/alpha_beta_diversity/sampling_depth"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/shannon_group_significance_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/shannon_group_significance_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/shannon_vector_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/shannon_vector_filename"
                        },
                        {
                            "source": "#main/table",
                            "id": "#main/alpha_beta_diversity/table"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/unweighted_unifrac_body_site_significance_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/unweighted_unifrac_body_site_significance_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/unweighted_unifrac_distance_matrix_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/unweighted_unifrac_distance_matrix_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/unweighted_unifrac_emperor_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/unweighted_unifrac_emperor_filename"
                        },
                        {
                            "source": "#main/unweighted_unifrac_metadata_column",
                            "id": "#main/alpha_beta_diversity/unweighted_unifrac_metadata_column"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/unweighted_unifrac_pcoa_results_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/unweighted_unifrac_pcoa_results_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/unweighted_unifrac_significance_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/unweighted_unifrac_significance_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/weighted_unifrac_distance_matrix_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/weighted_unifrac_distance_matrix_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/weighted_unifrac_emperor_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/weighted_unifrac_emperor_filename"
                        },
                        {
                            "source": [
                                "#main/output_filename_prefix",
                                "#main/weighted_unifrac_pcoa_results_filename"
                            ],
                            "valueFrom": "${ return self[0] + self[1]; }",
                            "id": "#main/alpha_beta_diversity/weighted_unifrac_pcoa_results_filename"
                        }
                    ],
                    "out": [
                        "#main/alpha_beta_diversity/rarefied_table",
                        "#main/alpha_beta_diversity/faith_pd_vector",
                        "#main/alpha_beta_diversity/observed_otus_vector",
                        "#main/alpha_beta_diversity/shannon_vector",
                        "#main/alpha_beta_diversity/evenness_vector",
                        "#main/alpha_beta_diversity/unweighted_unifrac_distance_matrix",
                        "#main/alpha_beta_diversity/weighted_unifrac_distance_matrix",
                        "#main/alpha_beta_diversity/jaccard_distance_matrix",
                        "#main/alpha_beta_diversity/bray_curtis_distance_matrix",
                        "#main/alpha_beta_diversity/unweighted_unifrac_pcoa_results",
                        "#main/alpha_beta_diversity/weighted_unifrac_pcoa_results",
                        "#main/alpha_beta_diversity/jaccard_pcoa_results",
                        "#main/alpha_beta_diversity/bray_curtis_pcoa_results",
                        "#main/alpha_beta_diversity/unweighted_unifrac_emperor",
                        "#main/alpha_beta_diversity/weighted_unifrac_emperor",
                        "#main/alpha_beta_diversity/jaccard_emperor",
                        "#main/alpha_beta_diversity/bray_curtis_emperor",
                        "#main/alpha_beta_diversity/faith_pd_group_significance_file",
                        "#main/alpha_beta_diversity/evenness_group_significance_file",
                        "#main/alpha_beta_diversity/shannon_group_significance_file",
                        "#main/alpha_beta_diversity/unweighted_unifrac_significance_file"
                    ],
                    "id": "#main/alpha_beta_diversity"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/bray_curtis_distance_matrix",
                    "id": "#main/bray_curtis_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/bray_curtis_emperor",
                    "id": "#main/bray_curtis_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/bray_curtis_pcoa_results",
                    "id": "#main/bray_curtis_pcoa_results"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/evenness_group_significance_file",
                    "id": "#main/evenness_group_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/evenness_vector",
                    "id": "#main/evenness_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/faith_pd_group_significance_file",
                    "id": "#main/faith_pd_group_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/faith_pd_vector",
                    "id": "#main/faith_pd_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/jaccard_distance_matrix",
                    "id": "#main/jaccard_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/jaccard_emperor",
                    "id": "#main/jaccard_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/jaccard_pcoa_results",
                    "id": "#main/jaccard_pcoa_results"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/observed_otus_vector",
                    "id": "#main/observed_otus_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/rarefied_table",
                    "id": "#main/rarefied_table"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/shannon_group_significance_file",
                    "id": "#main/shannon_group_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/shannon_vector",
                    "id": "#main/shannon_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/unweighted_unifrac_distance_matrix",
                    "id": "#main/unweighted_unifrac_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/unweighted_unifrac_emperor",
                    "id": "#main/unweighted_unifrac_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/unweighted_unifrac_pcoa_results",
                    "id": "#main/unweighted_unifrac_pcoa_results"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/unweighted_unifrac_significance_file",
                    "id": "#main/unweighted_unifrac_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/weighted_unifrac_distance_matrix",
                    "id": "#main/weighted_unifrac_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/weighted_unifrac_emperor",
                    "id": "#main/weighted_unifrac_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#main/alpha_beta_diversity/weighted_unifrac_pcoa_results",
                    "id": "#main/weighted_unifrac_pcoa_results"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "label": "qiime2 diversity analyses",
            "doc": "Alpha and beta diversity analysis",
            "inputs": [
                {
                    "type": "string",
                    "default": "bray_curtis_distance_matrix.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "bray_curtis_emperor.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_emperor_filename"
                },
                {
                    "type": "string",
                    "default": "bray_curtis_pcoa_results.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "default": "evenness-group-significance.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance_filename"
                },
                {
                    "type": "string",
                    "default": "evenness_vector.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_vector_filename"
                },
                {
                    "type": "string",
                    "default": "faith-pd-group-significance.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance_filename"
                },
                {
                    "type": "string",
                    "default": "faith_pd_vector.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_vector_filename"
                },
                {
                    "type": "string",
                    "default": "jaccard_distance_matrix.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "jaccard_emperor.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_emperor_filename"
                },
                {
                    "type": "string",
                    "default": "jaccard_pcoa_results.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "default": "observed_otus_vector.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/observed_otus_vector_filename"
                },
                {
                    "type": "string",
                    "default": "rarefied_table.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/rarefied_table_filename"
                },
                {
                    "type": "File",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/rooted_tree"
                },
                {
                    "type": "File",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/sample_metadata"
                },
                {
                    "type": "int",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/sampling_depth"
                },
                {
                    "type": "string",
                    "default": "shannon-group-significance.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance_filename"
                },
                {
                    "type": "string",
                    "default": "shannon_vector.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_vector_filename"
                },
                {
                    "type": "File",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/table"
                },
                {
                    "type": "string",
                    "default": "unweighted-unifrac-body-site-significance.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_body_site_significance_filename"
                },
                {
                    "type": "string",
                    "default": "unweighted_unifrac_distance_matrix.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "unweighted_unifrac_emperor.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_emperor_filename"
                },
                {
                    "type": "string",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_metadata_column"
                },
                {
                    "type": "string",
                    "default": "unweighted_unifrac_pcoa_results.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "default": "unweighted-unifrac-significance.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance_filename"
                },
                {
                    "type": "string",
                    "default": "weighted_unifrac_distance_matrix.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "default": "weighted_unifrac_emperor.qzv",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_emperor_filename"
                },
                {
                    "type": "string",
                    "default": "weighted_unifrac_pcoa_results.qza",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_pcoa_results_filename"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_distance_matrix",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_emperor",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_pcoa_results",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_pcoa_results"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance/significance",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/evenness_vector",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance/significance",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/faith_pd_vector",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_distance_matrix",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_emperor",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_pcoa_results",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_pcoa_results"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/observed_otus_vector",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/observed_otus_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/rarefied_table",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/rarefied_table"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance/significance",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/shannon_vector",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_vector"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_distance_matrix",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_emperor",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_pcoa_results",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_pcoa_results"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance/out_visual",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance_file"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_distance_matrix",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_distance_matrix"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_emperor",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_emperor"
                },
                {
                    "type": "File",
                    "outputSource": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_pcoa_results",
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_pcoa_results"
                }
            ],
            "steps": [
                {
                    "run": "#diversity-alpha-group-significance.cwl",
                    "in": [
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/evenness_vector",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance/alpha_diversity"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/sample_metadata",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance/metadata_file"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance/output_significance_filename"
                        }
                    ],
                    "out": [
                        "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance/significance"
                    ],
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_group_significance"
                },
                {
                    "run": "#diversity-alpha-group-significance.cwl",
                    "in": [
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/faith_pd_vector",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance/alpha_diversity"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/sample_metadata",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance/metadata_file"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance/output_significance_filename"
                        }
                    ],
                    "out": [
                        "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance/significance"
                    ],
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_group_significance"
                },
                {
                    "run": "#diversity-core-metrics-phylogenetic.cwl",
                    "in": [
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_distance_matrix_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_distance_matrix_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_emperor_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_emperor_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/bray_curtis_pcoa_results_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_pcoa_results_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/evenness_vector_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/evenness_vector_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/faith_pd_vector_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/faith_pd_vector_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/table",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/input_table"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/rooted_tree",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/input_tree"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_distance_matrix_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_distance_matrix_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_emperor_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_emperor_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/jaccard_pcoa_results_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_pcoa_results_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/sample_metadata",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/metadata_file"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/observed_otus_vector_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/observed_otus_vector_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/rarefied_table_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/rarefied_table_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/sampling_depth",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/sampling_depth"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_vector_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/shannon_vector_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_distance_matrix_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_distance_matrix_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_emperor_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_emperor_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_pcoa_results_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_pcoa_results_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_distance_matrix_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_distance_matrix_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_emperor_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_emperor_filename"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/weighted_unifrac_pcoa_results_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_pcoa_results_filename"
                        }
                    ],
                    "out": [
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/rarefied_table",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/faith_pd_vector",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/observed_otus_vector",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/shannon_vector",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/evenness_vector",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_distance_matrix",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_distance_matrix",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_distance_matrix",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_distance_matrix",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_pcoa_results",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_pcoa_results",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_pcoa_results",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_pcoa_results",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_emperor",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/weighted_unifrac_emperor",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/jaccard_emperor",
                        "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/bray_curtis_emperor"
                    ],
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics"
                },
                {
                    "run": "#diversity-alpha-group-significance.cwl",
                    "in": [
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/shannon_vector",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance/alpha_diversity"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/sample_metadata",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance/metadata_file"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance/output_significance_filename"
                        }
                    ],
                    "out": [
                        "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance/significance"
                    ],
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/shannon_group_significance"
                },
                {
                    "run": "#diversity-beta-group-significance.cwl",
                    "in": [
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/generate_core_metrics/unweighted_unifrac_distance_matrix",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance/distance_matrix"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_metadata_column",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance/metadata_column"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/sample_metadata",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance/metadata_file"
                        },
                        {
                            "source": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance_filename",
                            "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance/output_significance_filename"
                        }
                    ],
                    "out": [
                        "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance/out_visual"
                    ],
                    "id": "#qiime2-paired-alpha-beta-diversity.cwl/unweighted_unifrac_significance"
                }
            ],
            "id": "#qiime2-paired-alpha-beta-diversity.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "qiime2: Visually and statistically compare groups of alpha diversity values",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "qiime2/core:2018.4",
                    "id": "#qiime2-docker-hint.yml"
                }
            ],
            "inputs": [
                {
                    "inputBinding": {
                        "prefix": "--i-alpha-diversity"
                    },
                    "label": "Vector of alpha diversity values by sample",
                    "type": "File",
                    "id": "#diversity-alpha-group-significance.cwl/alpha_diversity"
                },
                {
                    "inputBinding": {
                        "prefix": "--m-metadata-file"
                    },
                    "label": "Metadata file or artifact viewable as metadata",
                    "type": "File",
                    "id": "#diversity-alpha-group-significance.cwl/metadata_file"
                },
                {
                    "inputBinding": {
                        "prefix": "--o-visualization"
                    },
                    "label": "The resulting visualization filename",
                    "type": "string",
                    "id": "#diversity-alpha-group-significance.cwl/output_significance_filename"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_significance_filename)"
                    },
                    "id": "#diversity-alpha-group-significance.cwl/significance"
                }
            ],
            "baseCommand": [
                "qiime",
                "diversity",
                "alpha-group-significance"
            ],
            "id": "#diversity-alpha-group-significance.cwl"
        },
        {
            "label": "qiime2: Determine whether groups of samples are significantly different from one another using a permutation-based statistical test",
            "class": "CommandLineTool",
            "hints": [
                {
                    "$import": "#qiime2-docker-hint.yml"
                }
            ],
            "inputs": [
                {
                    "inputBinding": {
                        "prefix": "--i-distance-matrix"
                    },
                    "label": "Matrix of distances between pairs of samples",
                    "type": "File",
                    "id": "#diversity-beta-group-significance.cwl/distance_matrix"
                },
                {
                    "inputBinding": {
                        "prefix": "--m-metadata-column"
                    },
                    "label": "Column from metadata file or artifact viewable as metadata",
                    "type": "string",
                    "id": "#diversity-beta-group-significance.cwl/metadata_column"
                },
                {
                    "inputBinding": {
                        "prefix": "--m-metadata-file"
                    },
                    "label": "Metadata file or artifact viewable as metadata",
                    "type": "File",
                    "id": "#diversity-beta-group-significance.cwl/metadata_file"
                },
                {
                    "inputBinding": {
                        "prefix": "--o-visualization"
                    },
                    "label": "resulting visualization filename",
                    "type": "string",
                    "id": "#diversity-beta-group-significance.cwl/output_significance_filename"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_significance_filename)"
                    },
                    "id": "#diversity-beta-group-significance.cwl/out_visual"
                }
            ],
            "arguments": [
                {
                    "prefix": "--p-pairwise\""
                }
            ],
            "baseCommand": [
                "qiime",
                "diversity",
                "beta-group-significance"
            ],
            "id": "#diversity-beta-group-significance.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "qiime2: Applies a collection of diversity metrics (both phylogenetic and non-phylogenetic) to a feature table.",
            "hints": [
                {
                    "$import": "#qiime2-docker-hint.yml"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "label": "Filename for the matrix of Bray-Curtis distances between pairs of samples",
                    "default": "bray_curtis_distance_matrix.qza",
                    "inputBinding": {
                        "prefix": "--o-bray-curtis-distance-matrix"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/bray_curtis_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the Emperor plot of the PCoA matrix computed from Bray-Curtis",
                    "default": "bray_curtis_emperor.qzv",
                    "inputBinding": {
                        "prefix": "--o-bray-curtis-emperor"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/bray_curtis_emperor_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the PCoA matrix computed from Bray-Curtis distances between samples",
                    "default": "bray_curtis_pcoa_results.qza",
                    "inputBinding": {
                        "prefix": "--o-bray-curtis-pcoa-results"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/bray_curtis_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the vector of Pielou's evenness values by sample",
                    "default": "evenness_vector.qza",
                    "inputBinding": {
                        "prefix": "--o-evenness-vector"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/evenness_vector_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the vector of Faith PD values by sample",
                    "default": "faith_pd_vector.qza",
                    "inputBinding": {
                        "prefix": "--o-faith-pd-vector"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/faith_pd_vector_filename"
                },
                {
                    "inputBinding": {
                        "prefix": "--i-table"
                    },
                    "doc": "The feature table containing the samples over which diversity metrics should be computed",
                    "type": "File",
                    "id": "#diversity-core-metrics-phylogenetic.cwl/input_table"
                },
                {
                    "inputBinding": {
                        "prefix": "--i-phylogeny"
                    },
                    "label": "Phylogenetic tree containing tip identifiers that correspond to the feature identifiers in the table",
                    "type": "File",
                    "id": "#diversity-core-metrics-phylogenetic.cwl/input_tree"
                },
                {
                    "type": "string",
                    "label": "Filename for the matrix of Jaccard distances between pairs of samples",
                    "default": "jaccard_distance_matrix.qza",
                    "inputBinding": {
                        "prefix": "--o-jaccard-distance-matrix"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/jaccard_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the Emperor plot of the PCoA matrix computed from Jaccard",
                    "default": "jaccard_emperor.qzv",
                    "inputBinding": {
                        "prefix": "--o-jaccard-emperor"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/jaccard_emperor_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the PCoA matrix computed from Jaccard distances between samples",
                    "default": "jaccard_pcoa_results.qza",
                    "inputBinding": {
                        "prefix": "--o-jaccard-pcoa-results"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/jaccard_pcoa_results_filename"
                },
                {
                    "inputBinding": {
                        "prefix": "--m-metadata-file"
                    },
                    "label": "Metadata file or artifact viewable as metadata",
                    "type": "File",
                    "id": "#diversity-core-metrics-phylogenetic.cwl/metadata_file"
                },
                {
                    "type": "string",
                    "label": "Filename for the vector of Observed OTUs values by sample",
                    "default": "observed_otus_vector.qza",
                    "inputBinding": {
                        "prefix": "--o-observed-otus-vector"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/observed_otus_vector_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the resulting rarefied feature table",
                    "default": "rarefied_table.qza",
                    "inputBinding": {
                        "prefix": "--o-rarefied-table"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/rarefied_table_filename"
                },
                {
                    "inputBinding": {
                        "prefix": "--p-sampling-depth"
                    },
                    "label": "The total frequency that each sample should be rarefied to prior to computing diversity metrics",
                    "type": "int",
                    "default": 1080,
                    "id": "#diversity-core-metrics-phylogenetic.cwl/sampling_depth"
                },
                {
                    "type": "string",
                    "label": "Filename for the vector of Shannon diversity values by sample",
                    "default": "shannon_vector.qza",
                    "inputBinding": {
                        "prefix": "--o-shannon-vector"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/shannon_vector_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the matrix of unweighted UniFrac distances between pairs of samples",
                    "default": "unweighted_unifrac_distance_matrix.qza",
                    "inputBinding": {
                        "prefix": "--o-unweighted-unifrac-distance-matrix"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/unweighted_unifrac_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the Emperor plot of the PCoA matrix computed from unweighted UniFrac",
                    "default": "unweighted_unifrac_emperor.qzv",
                    "inputBinding": {
                        "prefix": "--o-unweighted-unifrac-emperor"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/unweighted_unifrac_emperor_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the PCoA matrix computed from unweighted UniFrac distances between samples",
                    "default": "unweighted_unifrac_pcoa_results.qza",
                    "inputBinding": {
                        "prefix": "--o-unweighted-unifrac-pcoa-results"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/unweighted_unifrac_pcoa_results_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the matrix of weighted UniFrac distances between pairs of samples",
                    "default": "weighted_unifrac_distance_matrix.qza",
                    "inputBinding": {
                        "prefix": "--o-weighted-unifrac-distance-matrix"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/weighted_unifrac_distance_matrix_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the Emperor plot of the PCoA matrix computed from weighted UniFrac",
                    "default": "weighted_unifrac_emperor.qzv",
                    "inputBinding": {
                        "prefix": "--o-weighted-unifrac-emperor"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/weighted_unifrac_emperor_filename"
                },
                {
                    "type": "string",
                    "label": "Filename for the PCoA matrix computed from weighted UniFrac distances between samples",
                    "default": "weighted_unifrac_pcoa_results.qza",
                    "inputBinding": {
                        "prefix": "--o-weighted-unifrac-pcoa-results"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/weighted_unifrac_pcoa_results_filename"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bray_curtis_distance_matrix_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/bray_curtis_distance_matrix"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bray_curtis_emperor_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/bray_curtis_emperor"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bray_curtis_pcoa_results_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/bray_curtis_pcoa_results"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.evenness_vector_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/evenness_vector"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.faith_pd_vector_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/faith_pd_vector"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.jaccard_distance_matrix_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/jaccard_distance_matrix"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.jaccard_emperor_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/jaccard_emperor"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.jaccard_pcoa_results_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/jaccard_pcoa_results"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.observed_otus_vector_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/observed_otus_vector"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.rarefied_table_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/rarefied_table"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.shannon_vector_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/shannon_vector"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.unweighted_unifrac_distance_matrix_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/unweighted_unifrac_distance_matrix"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.unweighted_unifrac_emperor_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/unweighted_unifrac_emperor"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.unweighted_unifrac_pcoa_results_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/unweighted_unifrac_pcoa_results"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.weighted_unifrac_distance_matrix_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/weighted_unifrac_distance_matrix"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.weighted_unifrac_emperor_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/weighted_unifrac_emperor"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.weighted_unifrac_pcoa_results_filename)"
                    },
                    "id": "#diversity-core-metrics-phylogenetic.cwl/weighted_unifrac_pcoa_results"
                }
            ],
            "baseCommand": [
                "qiime",
                "diversity",
                "core-metrics-phylogenetic"
            ],
            "id": "#diversity-core-metrics-phylogenetic.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
